/*
Copyright (C)2011, IBM, Inc. All rights reserved. 
IBM, Inc. owns the copyright and other intellectual 
property rights in this software. Duplication or use of the 
Software is not permitted except as expressly provided in a 
written agreement between your company and IBM, Inc.
*/

#ifndef BF_RAND_H
#define BF_RAND_H

/* ================================================================
 * bf_rand
 * ----------------------------------------------------------------
 * These functions implement a Linear Congruential Pseudo-Random Number
 * Generator using the same algorithm that is employed by the Java class
 * java.util.Random.  This will be used by the PRNG algorithm for XSTREAM
 * file transfers.
 * ---------------------------------------------------------------- */

typedef int64_t bf_rand;
void bf_rand_init(bf_rand *state, int64_t seed);
void bf_rand_init_bytes(bf_rand *state, const uint8_t *bytes, size_t len);
int32_t bf_rand_next(bf_rand *state, int bits);
uint8_t bf_rand_next_byte(bf_rand *state);
int32_t bf_rand_next_int(bf_rand *state);
int64_t bf_rand_next_long(bf_rand *state);
int32_t bf_rand_next_int_mod(bf_rand *state, int32_t n);

#endif /* BF_RAND_H */
