/*
Copyright (C)2003-2011, IBM, Inc. All rights reserved. 
IBM, Inc. owns the copyright and other intellectual 
property rights in this software. Duplication or use of the 
Software is not permitted except as expressly provided in a 
written agreement between your company and IBM, Inc.
*/

/* The values that are valid to use in a "cmd" tag. */

#define CMD_EXEC        "exec"
#define CMD_EXPAND      "expand"
#define CMD_LISTEN      "listen"
#define CMD_MKDIR       "mkdir"
#define CMD_PING        "ping"
#define CMD_READ        "read"
#define CMD_RMDIR       "rmdir"
#define CMD_SHOW        "showmethegopi"
#define CMD_SYSCONF     "sysconf"
#define CMD_UNLINK      "unlink"
#define CMD_WRITE       "write"
#define CMD_XSTREAM     "xstream"


/* Convenient names for the numeric responses the agent uses. */

#define CODE_HELLO              200
#define CODE_SECURE_HELLO       201
#define CODE_CERTIFIED_HELLO    202
#define CODE_GOODBYE            210

#define CODE_RESULT             251
#define CODE_EOR                260

#define CODE_HEARTBEAT          300
#define CODE_DEBUG              303
#define CODE_LOG                310
#define CODE_CONT               311
#define CODE_MESSAGE            320
#define CODE_READ_SCAN          330
#define CODE_READ_DIR           340
#define CODE_READ_FILE          341
#define CODE_READ_DATA          342
#define CODE_READ_XSTREAM       345

#define CODE_XSTREAM_OPEN       350

#define CODE_NOCOMMAND          400
#define CODE_BADCOMMAND         402

/*
 *  well known request tags
 */
#define TAG_APPEND      "append"
#define TAG_CHECKPOINT  "checkpoint"
#define TAG_CLOBBER     "clobber"
#define TAG_COMMAND     "cmd"
#define TAG_DATA        "data"
#define TAG_DEBUG       "debug"
#define TAG_DIR         "dir"
#define TAG_ENCPASS     "encpass"
#define TAG_ENV         "env"
#define TAG_EXEC        "exec"
#define TAG_FLAGS       "flags"
#define TAG_GO          "go"
#define TAG_IGNORE      "ignore"
#define TAG_LANG        "lang"
#define TAG_MODE        "mode"
#define TAG_OFFLINE     "offline"
#define TAG_OFFSET      "offset"
#define TAG_PASSWORD    "password"
#define TAG_PATH        "path"
#define TAG_QUIT        "quit"
#define TAG_RECURSIVE   "recursive"
#define TAG_ROOT        "root"
#define TAG_SILENT      "silent"
#define TAG_STAMP       "stamp"
#define TAG_STDIN       "stdin"
#define TAG_STREAM      "stream"
#define TAG_TAG         "tag"
#define TAG_TIMEOUT     "timeout"
#define TAG_USERDATA    "userdata"
#define TAG_USERNAME    "username"
#define TAG_XSTREAM     "xstream"

