/*
Copyright (C)2003-2011, IBM, Inc. All rights reserved. 
IBM, Inc. owns the copyright and other intellectual 
property rights in this software. Duplication or use of the 
Software is not permitted except as expressly provided in a 
written agreement between your company and IBM, Inc.
*/

#include "bf_agent.h"

/* Since version 7.1 of the agent, "cmd expand" now delegates entirely
 * to "cmd exec".  The "cmd expand" form is used for environment variable
 * expansion when the engine needs to know the value for something that
 * it implements on its side, such as backtick expansion, certain dot
 * command variable references, collector run commands, and so on.  In
 * short, it is used when whatever is happening is implicit and we want
 * a quieter version so as not to clutter up the step log (or receive
 * data that we don't have any place to store in cases where there is no
 * step log to put them in, anyway).
 */

int FuncExpand(void)
{
	/* Force "silent" mode. */
	if (NULL == request_get(TAG_SILENT)) {
		request_put(TAG_SILENT,"");
	}

	/* Disallow "offline" mode for expand. */
	request_del(TAG_OFFLINE);

	/* Other than that, "exec" and "expand" are the same thing. */
	return FuncExec();
}

