/*
Copyright (C)2007-2011, IBM, Inc. All rights reserved.
IBM, Inc. owns the copyright and other intellectual
property rights in this software. Duplication or use of the
Software is not permitted except as expressly provided in a
written agreement between your company and IBM, Inc.
*/

#ifndef JOBMON_H
#define JOBMON_H

/* JCL support for z/OS */

#define JM_DEFAULT_PORT "6715"
#define JM_CONNECT "CONNECT01 v04\n"
#define JM_CONNECT_ACK "ACKNOWLEDGE01v04"
/*format for logon is: HELLO USER <b64enc pw>*/
#define JM_LOGON   "HELLO " /*format for logon:HELLO USER <b64encpw>*/
#define JM_LOGON_ACK_START "102" /*Format of response: 102 Version 2.3.6 JES2 */
#define JM_LOGON_ACK_END   "JES2"
#define JM_LOGOFF   "QUIT\n" /*format for logoff: QUIT*/
#define JM_SUBMIT "SUBMIT\n"
#define JM_SUBMIT_START_RESP "116 Begin entering JCL data"
#define JM_SUBMIT_EOF "/*EOF\n"
#define JM_SUBMIT_DS "SUBMITDS "
#define JM_SUBMIT_ACK_START "115" /*format of resp: 115 Job J0052724 accepted.*/
#define JM_SUBMIT_ACK_END   "accepted."
#define JM_STATUS "STAT "
#define JM_GET_SPOOL "GETSDSC "
#define JM_GET_SPOOL_ALL " ALL\n"
#define JM_RETURN_CODE "Return.Code"
#define JM_RC_BUFFSIZE 10
#define RC_NORMAL  65
#define RC_ABEND   133
#define RC_CANCEL  04
#define RC_JCLERR  03
#define JM_USER_LEN  8
#define JM_PW_LEN  48

typedef enum{
  JM_NATIVE_TO_UTF8,
  JM_UTF8_TO_NATIVE
} jm_convert_t;

int jmSubmitJob(const char* username, const char* password, const char* dsn, const char* inline_jcl,time_t time_out);

#endif /* JOBMON_H */
